<?php
///////////////////////////////////////////////
//                @lex Guestbook             //
//      by Soulard Alexis (c) 2002 - 2006    //
//         http://www.alexphpteam.com/       //
//             all right reserved            //
///////////////////////////////////////////////

DEFINE("AGUEST", true);
$chem_absolu = "../";

//----------------------- fichiers à inclure
include($chem_absolu."config/extension.inc");
include($chem_absolu."include/admin_include.".$alex_livre_ext);

//----------------------- on controle si le visiteur est ou non autorisé à visiter cette page
verif_page("gestion_ip");

//----------------------- génération de la liste des champs textes de la langue
$tab_champs_langue = array(
	1 => "bannir_ip",
	"text_ip1",
	"text_ip2",
	"ajouter_ip",
	"ajouter",
	"gestion_ip",
	"sup_ip",
	"erreur_ip1",
	"erreur_ip2",
	"erreur_ip3",
	"erreur_ip4",
	"verif_sup_ip"
);

//----------------------- ajouter une ip
if (isset($_POST['ajouter'])){
	$query = "INSERT INTO ".$name_table['alex_livre_ip']." (ip) VALUES ('".$_POST['ip1'].".".$_POST['ip2'].".".$_POST['ip3'].".".$_POST['ip4']."')";
	$result = $f_db_connexion -> sql_query($query);
	message_javascript($f_lang['ok_aj_ip']);
}

//----------------------- suppression des ip
if (isset($_POST['supprimer'])){
	for ($i = 0; $i < count($_POST['liste_ip_bannies']); $i++){
		$query = "DELETE FROM ".$name_table['alex_livre_ip']." WHERE ip='".$_POST['liste_ip_bannies'][$i]."'";
		$result = $f_db_connexion -> sql_query($query);
	}
}

//----------------------- récupération de toutes les ip bannies
sql_select_query("*", "alex_livre_ip", "", "ORDER BY id_ip");

/* fermeture de la connexion sql */
$f_db_connexion -> sql_close();

//----------------------- on génère la liste des ips bannies
if (isset($alex_livre_ip_ip))	$liste_option_ip = generate_options($alex_livre_ip_ip, ""); else $liste_option_ip = '';

//----------------------- affichage du template
$echo_html = new ModeliXe("ip.htm", "f_sid=".$_GET['f_sid']."", "", "", "", $chem_absolu.$chem_template);
$echo_html -> SetModeliXe();

/* instanciation des blocs */
template_type(@$f_lang['title ip']);

/* langue */
generate_langue($tab_champs_langue);

/* urls */
$echo_html -> MxText("f_sid", $_GET['f_sid']);

/* liste des ip bannies */
$echo_html -> MxText("option_ip", $liste_option_ip);

$echo_html -> MxWrite();
?>